<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_8</title>
</head>
<body>
    <h1>Capitulo 8</h1>
    <a>Ejercicio 1</a>

    <script>   

        const escaleras  = (nPasos) => {

            if(nPasos === 0) {
                return 1;
            } else if (nPasos < 0) {
                return 0;
            } else {
                return escaleras(nPasos - 3) + escaleras(nPasos - 2) + escaleras(nPasos- 1);
            }        
        }

        let pasos = 4;
        console.log(`El niño puedo saltar ${escaleras(pasos)} escalones corriendo ${pasos} pasos`)
   
        
    </script>
    
</body>
</html>